--- title: "Update Standard Test" slug: "update-standard-test" updated: 2026-01-06T19:11:43Z published: 2026-01-06T19:11:46Z canonical: "docs.validatar.com/update-standard-test" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Standard Test Put/api/v1/Authoring/projects/{projectId}/tests/{testId} Update an existing standard test SecurityAPI Key: x-val-api-tokenHeader parameter namex-val-api-token API key needed to access endpoints. Each Validatar user can manage their own set of API keys. Path parametersprojectIdinteger (int32) Required Project containing the standard test testIdinteger (int32) Required Standard test to update Body parameters Information about the standard test Expand AllOneOfConfiguration.Api.Models.v1.StandardTestDetailV1object (Configuration.Api.Models.v1.StandardTestDetailV1)testDataSetobject (Configuration.Api.Models.v1.StandardTestDataSetV1) RequiredtestDataSetTypestring Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ] dataSourceIdinteger (int32) | null The data set's data source ID configurationJsonstring | null The data set's configuration, written in JSON objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage controlDataSetobject (Configuration.Api.Models.v1.StandardTestDataSetV1) RequiredtestDataSetTypestring Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ] dataSourceIdinteger (int32) | null The data set's data source ID configurationJsonstring | null The data set's configuration, written in JSON objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage namestring | null The test name descriptionstring | null The test description folderIdinteger (int32) Folder ID for test resultsAreOrderedboolean Whether dataset records are already ordered onlyKeepFailuresboolean Whether to keep all results or just failures abortAfterFailuresboolean Whether to abort an execution after a specified number of failures abortFailureCountinteger (int32) Number of failures allowed before aborting an execution abortAfterRowsboolean Whether to abort an execution after a specified number of records abortRowCountinteger (int32) Number of records allowed before aborting an execution purgeResultsboolean Whether to purge the results of the execution after a specified number of days purgeResultsAfterDaysinteger (int32) Number of days to retain execution results before purging transferLabelsboolean Whether to transfer labels from the prior version severityLevelstring | null The test severity level qualityDimensionstring | null The test quality dimension testMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] testMissingResultOverrideValuestring | null The value to use for records missing from the test dataset controlMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] controlMissingResultOverrideValuestring | null The value to use for records missing from the control dataset valueSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] valueSuccessTolerancenumber (double) | null The test's value success tolerance valueSuccessToleranceCalculationstring | null The value success tolerance calculation of the test overallSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] overallSuccessTolerancenumber (double) | null The test's overall success tolerance overallSuccessToleranceCalculationstring | null The overall success tolerance calculation of the test Configuration.Api.Models.v1.StandardTestDetailV2object (Configuration.Api.Models.v1.StandardTestDetailV2)testDataSet Defines the test dataset OneOfConfiguration.Api.Models.v1.StandardTestDataSetV2Scriptobject (Configuration.Api.Models.v1.StandardTestDataSetV2Script)dataSetConfigScriptOneOfConfiguration.Api.Models.v1.DataSetConfigScriptobject (Configuration.Api.Models.v1.DataSetConfigScript)dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script Configuration.Api.Models.v1.DataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro)parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResultobject (Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult)dataSetConfigProfileResultOneOfConfiguration.Api.Models.v1.DataSetConfigProfileResultobject (Configuration.Api.Models.v1.DataSetConfigProfileResult)contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID Configuration.Api.Models.v1.DataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardTestDataSetV2Macroobject (Configuration.Api.Models.v1.StandardTestDataSetV2Macro)dataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro) parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key controlDataSet Defines the control dataset OneOfConfiguration.Api.Models.v1.StandardControlDataSetV2Scriptobject (Configuration.Api.Models.v1.StandardControlDataSetV2Script)dataSetConfigScriptOneOfConfiguration.Api.Models.v1.DataSetConfigScriptobject (Configuration.Api.Models.v1.DataSetConfigScript)dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script Configuration.Api.Models.v1.DataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro)parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2Macroobject (Configuration.Api.Models.v1.StandardControlDataSetV2Macro)dataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro) parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResultobject (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult)dataSetConfigProfileResultOneOfConfiguration.Api.Models.v1.DataSetConfigProfileResultobject (Configuration.Api.Models.v1.DataSetConfigProfileResult)contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID Configuration.Api.Models.v1.DataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregateobject (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate)dataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate) aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValueobject (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue)dataSetConfigDateTimeValueobject (Configuration.Api.Models.v1.DataSetConfigDateTimeValue) valueTypestring Valid values[ "Absolute", "Relative" ] columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] timeZoneKeystring | null The time zone key of the data set relativeTargetPeriodstring Valid values[ "CurrentDate" ] targetValuestring | null The target value of the data set dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2StringValueobject (Configuration.Api.Models.v1.StandardControlDataSetV2StringValue)dataSetConfigStringValueobject (Configuration.Api.Models.v1.DataSetConfigStringValue) targetValuestring | null The target value of the data set ignoreWhitespaceboolean Whethe the string comparison ignores whitespace characters dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2NumericValueobject (Configuration.Api.Models.v1.StandardControlDataSetV2NumericValue)dataSetConfigNumericValueobject (Configuration.Api.Models.v1.DataSetConfigNumericValue) targetValuenumber (double) The target value of the data set dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2NumericRangeobject (Configuration.Api.Models.v1.StandardControlDataSetV2NumericRange)dataSetConfigNumericRangeobject (Configuration.Api.Models.v1.DataSetConfigNumericRange) minValuenumber (double) | null The minimum value of the numeric range maxValuenumber (double) | null The maximum value of the numeric range dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeRangeobject (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeRange)dataSetConfigDateTimeRangeobject (Configuration.Api.Models.v1.DataSetConfigDateTimeRange) rangeTypestring Valid values[ "Absolute", "Relative" ] columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] timeZoneKeystring | null The time zone key of the data set minRelativePeriodinteger (int32) | null The minimum relative period of the data set maxRelativePeriodinteger (int32) | null The maximum relative period of the data set minRelativeOffsetinteger (int32) | null The minimum relative offset of the data set maxRelativeOffsetinteger (int32) | null The maximum relative offset of the data set minAbsoluteValuestring | null The minimum absolute value of the data set maxAbsoluteValuestring | null The maximum absolute value of the data set dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2TestAggregateobject (Configuration.Api.Models.v1.StandardControlDataSetV2TestAggregate)dataSetConfigTestAggregateobject (Configuration.Api.Models.v1.DataSetConfigTestAggregate) includePriorVersionsboolean Whether the dataset includes prior versions windowSizeinteger (int32) The window size of the dataset windowstring Valid values[ "Days", "Weeks", "Runs" ] aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key qualityScoreCalculationstring | null Custom quality score calculation qualityScoreMethodstring Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation" ] columnMappingJsonstring | null JSON of custom column mapping between the test and control datasets testDataSetColumnMappingMethodstring Valid values[ "Automatic", "Manual" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetColumnSelectionstring Valid values[ "Name", "Position" ] namestring | null The test name descriptionstring | null The test description folderIdinteger (int32) Folder ID for test resultsAreOrderedboolean Whether dataset records are already ordered onlyKeepFailuresboolean Whether to keep all results or just failures abortAfterFailuresboolean Whether to abort an execution after a specified number of failures abortFailureCountinteger (int32) Number of failures allowed before aborting an execution abortAfterRowsboolean Whether to abort an execution after a specified number of records abortRowCountinteger (int32) Number of records allowed before aborting an execution purgeResultsboolean Whether to purge the results of the execution after a specified number of days purgeResultsAfterDaysinteger (int32) Number of days to retain execution results before purging transferLabelsboolean Whether to transfer labels from the prior version severityLevelstring | null The test severity level qualityDimensionstring | null The test quality dimension testMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] testMissingResultOverrideValuestring | null The value to use for records missing from the test dataset controlMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] controlMissingResultOverrideValuestring | null The value to use for records missing from the control dataset valueSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] valueSuccessTolerancenumber (double) | null The test's value success tolerance valueSuccessToleranceCalculationstring | null The value success tolerance calculation of the test overallSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] overallSuccessTolerancenumber (double) | null The test's overall success tolerance overallSuccessToleranceCalculationstring | null The overall success tolerance calculation of the test Expand AllOneOfConfiguration.Api.Models.v1.StandardTestDetailV1object (Configuration.Api.Models.v1.StandardTestDetailV1)testDataSetobject (Configuration.Api.Models.v1.StandardTestDataSetV1) RequiredtestDataSetTypestring Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ] dataSourceIdinteger (int32) | null The data set's data source ID configurationJsonstring | null The data set's configuration, written in JSON objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage controlDataSetobject (Configuration.Api.Models.v1.StandardTestDataSetV1) RequiredtestDataSetTypestring Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ] dataSourceIdinteger (int32) | null The data set's data source ID configurationJsonstring | null The data set's configuration, written in JSON objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage namestring | null The test name descriptionstring | null The test description folderIdinteger (int32) Folder ID for test resultsAreOrderedboolean Whether dataset records are already ordered onlyKeepFailuresboolean Whether to keep all results or just failures abortAfterFailuresboolean Whether to abort an execution after a specified number of failures abortFailureCountinteger (int32) Number of failures allowed before aborting an execution abortAfterRowsboolean Whether to abort an execution after a specified number of records abortRowCountinteger (int32) Number of records allowed before aborting an execution purgeResultsboolean Whether to purge the results of the execution after a specified number of days purgeResultsAfterDaysinteger (int32) Number of days to retain execution results before purging transferLabelsboolean Whether to transfer labels from the prior version severityLevelstring | null The test severity level qualityDimensionstring | null The test quality dimension testMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] testMissingResultOverrideValuestring | null The value to use for records missing from the test dataset controlMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] controlMissingResultOverrideValuestring | null The value to use for records missing from the control dataset valueSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] valueSuccessTolerancenumber (double) | null The test's value success tolerance valueSuccessToleranceCalculationstring | null The value success tolerance calculation of the test overallSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] overallSuccessTolerancenumber (double) | null The test's overall success tolerance overallSuccessToleranceCalculationstring | null The overall success tolerance calculation of the test Configuration.Api.Models.v1.StandardTestDetailV2object (Configuration.Api.Models.v1.StandardTestDetailV2)testDataSet Defines the test dataset OneOfConfiguration.Api.Models.v1.StandardTestDataSetV2Scriptobject (Configuration.Api.Models.v1.StandardTestDataSetV2Script)dataSetConfigScriptOneOfConfiguration.Api.Models.v1.DataSetConfigScriptobject (Configuration.Api.Models.v1.DataSetConfigScript)dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script Configuration.Api.Models.v1.DataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro)parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResultobject (Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult)dataSetConfigProfileResultOneOfConfiguration.Api.Models.v1.DataSetConfigProfileResultobject (Configuration.Api.Models.v1.DataSetConfigProfileResult)contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID Configuration.Api.Models.v1.DataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardTestDataSetV2Macroobject (Configuration.Api.Models.v1.StandardTestDataSetV2Macro)dataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro) parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key controlDataSet Defines the control dataset OneOfConfiguration.Api.Models.v1.StandardControlDataSetV2Scriptobject (Configuration.Api.Models.v1.StandardControlDataSetV2Script)dataSetConfigScriptOneOfConfiguration.Api.Models.v1.DataSetConfigScriptobject (Configuration.Api.Models.v1.DataSetConfigScript)dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script Configuration.Api.Models.v1.DataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro)parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2Macroobject (Configuration.Api.Models.v1.StandardControlDataSetV2Macro)dataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro) parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResultobject (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult)dataSetConfigProfileResultOneOfConfiguration.Api.Models.v1.DataSetConfigProfileResultobject (Configuration.Api.Models.v1.DataSetConfigProfileResult)contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID Configuration.Api.Models.v1.DataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregateobject (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate)dataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate) aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValueobject (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue)dataSetConfigDateTimeValueobject (Configuration.Api.Models.v1.DataSetConfigDateTimeValue) valueTypestring Valid values[ "Absolute", "Relative" ] columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] timeZoneKeystring | null The time zone key of the data set relativeTargetPeriodstring Valid values[ "CurrentDate" ] targetValuestring | null The target value of the data set dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2StringValueobject (Configuration.Api.Models.v1.StandardControlDataSetV2StringValue)dataSetConfigStringValueobject (Configuration.Api.Models.v1.DataSetConfigStringValue) targetValuestring | null The target value of the data set ignoreWhitespaceboolean Whethe the string comparison ignores whitespace characters dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2NumericValueobject (Configuration.Api.Models.v1.StandardControlDataSetV2NumericValue)dataSetConfigNumericValueobject (Configuration.Api.Models.v1.DataSetConfigNumericValue) targetValuenumber (double) The target value of the data set dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2NumericRangeobject (Configuration.Api.Models.v1.StandardControlDataSetV2NumericRange)dataSetConfigNumericRangeobject (Configuration.Api.Models.v1.DataSetConfigNumericRange) minValuenumber (double) | null The minimum value of the numeric range maxValuenumber (double) | null The maximum value of the numeric range dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeRangeobject (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeRange)dataSetConfigDateTimeRangeobject (Configuration.Api.Models.v1.DataSetConfigDateTimeRange) rangeTypestring Valid values[ "Absolute", "Relative" ] columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] timeZoneKeystring | null The time zone key of the data set minRelativePeriodinteger (int32) | null The minimum relative period of the data set maxRelativePeriodinteger (int32) | null The maximum relative period of the data set minRelativeOffsetinteger (int32) | null The minimum relative offset of the data set maxRelativeOffsetinteger (int32) | null The maximum relative offset of the data set minAbsoluteValuestring | null The minimum absolute value of the data set maxAbsoluteValuestring | null The maximum absolute value of the data set dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2TestAggregateobject (Configuration.Api.Models.v1.StandardControlDataSetV2TestAggregate)dataSetConfigTestAggregateobject (Configuration.Api.Models.v1.DataSetConfigTestAggregate) includePriorVersionsboolean Whether the dataset includes prior versions windowSizeinteger (int32) The window size of the dataset windowstring Valid values[ "Days", "Weeks", "Runs" ] aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key qualityScoreCalculationstring | null Custom quality score calculation qualityScoreMethodstring Valid values[ "AllOrNothing", "Proportional", "ProportionalWithPassOverride", "CustomCalculation" ] columnMappingJsonstring | null JSON of custom column mapping between the test and control datasets testDataSetColumnMappingMethodstring Valid values[ "Automatic", "Manual" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetColumnSelectionstring Valid values[ "Name", "Position" ] namestring | null The test name descriptionstring | null The test description folderIdinteger (int32) Folder ID for test resultsAreOrderedboolean Whether dataset records are already ordered onlyKeepFailuresboolean Whether to keep all results or just failures abortAfterFailuresboolean Whether to abort an execution after a specified number of failures abortFailureCountinteger (int32) Number of failures allowed before aborting an execution abortAfterRowsboolean Whether to abort an execution after a specified number of records abortRowCountinteger (int32) Number of records allowed before aborting an execution purgeResultsboolean Whether to purge the results of the execution after a specified number of days purgeResultsAfterDaysinteger (int32) Number of days to retain execution results before purging transferLabelsboolean Whether to transfer labels from the prior version severityLevelstring | null The test severity level qualityDimensionstring | null The test quality dimension testMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] testMissingResultOverrideValuestring | null The value to use for records missing from the test dataset controlMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] controlMissingResultOverrideValuestring | null The value to use for records missing from the control dataset valueSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] valueSuccessTolerancenumber (double) | null The test's value success tolerance valueSuccessToleranceCalculationstring | null The value success tolerance calculation of the test overallSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] overallSuccessTolerancenumber (double) | null The test's overall success tolerance overallSuccessToleranceCalculationstring | null The overall success tolerance calculation of the test Expand AllOneOfConfiguration.Api.Models.v1.StandardTestDetailV1object (Configuration.Api.Models.v1.StandardTestDetailV1)testDataSetobject (Configuration.Api.Models.v1.StandardTestDataSetV1) RequiredtestDataSetTypestring Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ] dataSourceIdinteger (int32) | null The data set's data source ID configurationJsonstring | null The data set's configuration, written in JSON objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage controlDataSetobject (Configuration.Api.Models.v1.StandardTestDataSetV1) RequiredtestDataSetTypestring Valid values[ "SingleValueSqlNumeric", "KeyValueListScriptNumeric", "ProfileResult", "ProfileAggregate", "NumericRange", "NumericValue", "SingleValueSqlString", "KeyValueListSqlString", "StringValue", "SingleValueTestAggregateNumeric", "KeyValueListTestAggregateNumeric", "SingleValueTestAggregateString", "KeyValueListTestAggregateString", "DateRange", "DateValue", "SingleValueScriptDate", "KeyValueListScriptDate", "SingleValueTestAggregateDate", "KeyValueListTestAggregateDate" ] dataSourceIdinteger (int32) | null The data set's data source ID configurationJsonstring | null The data set's configuration, written in JSON objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage namestring | null The test name descriptionstring | null The test description folderIdinteger (int32) Folder ID for test resultsAreOrderedboolean Whether dataset records are already ordered onlyKeepFailuresboolean Whether to keep all results or just failures abortAfterFailuresboolean Whether to abort an execution after a specified number of failures abortFailureCountinteger (int32) Number of failures allowed before aborting an execution abortAfterRowsboolean Whether to abort an execution after a specified number of records abortRowCountinteger (int32) Number of records allowed before aborting an execution purgeResultsboolean Whether to purge the results of the execution after a specified number of days purgeResultsAfterDaysinteger (int32) Number of days to retain execution results before purging transferLabelsboolean Whether to transfer labels from the prior version severityLevelstring | null The test severity level qualityDimensionstring | null The test quality dimension testMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] testMissingResultOverrideValuestring | null The value to use for records missing from the test dataset controlMissingResultActionstring Valid values[ "Fail", "Pass", "Override" ] controlMissingResultOverrideValuestring | null The value to use for records missing from the control dataset valueSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] valueSuccessTolerancenumber (double) | null The test's value success tolerance valueSuccessToleranceCalculationstring | null The value success tolerance calculation of the test overallSuccessConditionTypestring Valid values[ "None", "Percent", "Value", "EqualsCaseSensitive", "EqualsCaseInsensitive", "DoesNotEqualCaseSensitive", "DoesNotEqualCaseInsensitive", "ContainsCaseSensitive", "ContainsCaseInsensitive", "DoesNotContainCaseSensitive", "DoesNotContainCaseInsensitive", "StartsWithCaseSensitive", "StartsWithCaseInsensitive", "DoesNotStartWithCaseSensitive", "DoesNotStartWithCaseInsensitive", "EndsWithCaseSensitive", "EndsWithCaseInsensitive", "DoesNotEndWithCaseSensitive", "DoesNotEndWithCaseInsensitive", "MatchesCaseSensitive", "MatchesCaseInsensitive", "DoesNotMatchCaseSensitive", "DoesNotMatchCaseInsensitive", "ExactMatch", "PercentOfControlValue", "CustomCalculation" ] overallSuccessTolerancenumber (double) | null The test's overall success tolerance overallSuccessToleranceCalculationstring | null The overall success tolerance calculation of the test Configuration.Api.Models.v1.StandardTestDetailV2object (Configuration.Api.Models.v1.StandardTestDetailV2)testDataSet Defines the test dataset OneOfConfiguration.Api.Models.v1.StandardTestDataSetV2Scriptobject (Configuration.Api.Models.v1.StandardTestDataSetV2Script)dataSetConfigScriptOneOfConfiguration.Api.Models.v1.DataSetConfigScriptobject (Configuration.Api.Models.v1.DataSetConfigScript)dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script Configuration.Api.Models.v1.DataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro)parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResultobject (Configuration.Api.Models.v1.StandardTestDataSetV2ProfileResult)dataSetConfigProfileResultOneOfConfiguration.Api.Models.v1.DataSetConfigProfileResultobject (Configuration.Api.Models.v1.DataSetConfigProfileResult)contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID Configuration.Api.Models.v1.DataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardTestDataSetV2Macroobject (Configuration.Api.Models.v1.StandardTestDataSetV2Macro)dataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro) parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key controlDataSet Defines the control dataset OneOfConfiguration.Api.Models.v1.StandardControlDataSetV2Scriptobject (Configuration.Api.Models.v1.StandardControlDataSetV2Script)dataSetConfigScriptOneOfConfiguration.Api.Models.v1.DataSetConfigScriptobject (Configuration.Api.Models.v1.DataSetConfigScript)dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script Configuration.Api.Models.v1.DataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro)parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2Macroobject (Configuration.Api.Models.v1.StandardControlDataSetV2Macro)dataSetConfigMacroobject (Configuration.Api.Models.v1.DataSetConfigMacro) parameters Array of object (Configuration.Api.Models.v1.DataSetConfigMacroParameter) | null List of parameters used by the macro data set object parameterIdinteger (int32) ID of the parameter parameterValuestring | null Value of the parameter dataSetProcessingTypestring Valid values[ "SingleValue", "Table", "ColumnAggregation", "RowCount" ] columnAggregatestring Valid values[ "Minimum", "Maximum", "Average", "First", "Last", "CountDistinct" ] aggregationColumnKeystring | null The data set's aggregation column key sameAsLeftScriptboolean Whether the control data set is the same as the test data set script dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResultobject (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileResult)dataSetConfigProfileResultOneOfConfiguration.Api.Models.v1.DataSetConfigProfileResultobject (Configuration.Api.Models.v1.DataSetConfigProfileResult)contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID Configuration.Api.Models.v1.DataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate)aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregateobject (Configuration.Api.Models.v1.StandardControlDataSetV2ProfileAggregate)dataSetConfigProfileAggregateobject (Configuration.Api.Models.v1.DataSetConfigProfileAggregate) aggregatestring Valid values[ "Average", "Minimum", "Maximum" ] windowSizeinteger (int32) The size of the data set window windowstring Valid values[ "Days", "Weeks", "Runs" ] contextobject (Configuration.Api.Models.v1.DataSetConfigProfileContext) tableIdinteger (int32) The profile context's table ID columnIdinteger (int32) | null The profile context's column ID profileDefIdinteger (int32) The profile context's profile def ID dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValueobject (Configuration.Api.Models.v1.StandardControlDataSetV2DateTimeValue)dataSetConfigDateTimeValueobject (Configuration.Api.Models.v1.DataSetConfigDateTimeValue) valueTypestring Valid values[ "Absolute", "Relative" ] columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] timeZoneKeystring | null The time zone key of the data set relativeTargetPeriodstring Valid values[ "CurrentDate" ] targetValuestring | null The target value of the data set dataSourceIdinteger (int32) | null The data set's data source ID objectTextstring | null The data set's object text objectIdinteger (int32) | null The data set's object ID metaLinks Array of object (Configuration.Api.Models.v1.DataSetMetaLink) | null The data set's meta links object levelIdinteger (int32) The meta link's level ID objectIdinteger (int32) The meta link's object ID includeForCoverageboolean Whether the meta link is included in trust score coverage columns Array of object (Configuration.Api.Models.v1.DataSetColumn) | null The data set's columns object namestring | null Name of the column within the dataset sequenceinteger (int32) 1-based sequence of the column within the dataset columnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] roleIdstring Valid values[ "Key", "Value", "Ignore" ] isScalarboolean Whether the data set is scalar testComparisonTypestring Valid values[ "DataSet", "DefinedStandard", "PreviousRuns" ] testDataSetColumnTypestring Valid values[ "String", "Numeric", "DateTime", "Automatic", "Date", "DateTimeOffset" ] testDataSetTypeCategorystring Valid values[ "Script", "ProfileResult", "ProfileAggregate", "TestAggregate", "NumericRange", "NumericValue", "StringValue", "DateRange", "DateValue", "Macro" ] macroReferenceKeystring | null The data set's macro reference key Configuration.Api.Models.v1.StandardControlDataSetV2StringValueobject (Configuration.Api.Models.v1.StandardControlDataSetV2StringValue)dataSetConfigStringValueobject (Configuration.Api.Models.v1.DataSetConfigStringValue) targetValuestring | null The target value of the data set ignoreWhitespaceboolean Whethe the string comparison ignores whitespace characters dataSourceIdinteger (int32) | null The data set's data source ID object
[...]
